<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" type="topic" style="task" id="anjuta-code-assist" xml:lang="de">

  <info xmlns:facet="http://projectmallard.org/facet/1.0/">
    <facet:tag key="all-pages" value="whatever"/> <!--Include page in index-->
    <link type="guide" xref="index#anjuta-code" group="first"/>
    <revision pkgversion="3.0" version="0.1" date="2011-10-24" status="draft"/>
    <desc>Die Funktionsmerkmale des integrierten Editors einrichten und verwenden</desc>
    <credit type="author">
      <name>Johannes Schmid</name>
      <email>jhs@gnome.org</email>
    </credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Mario Blättermann</mal:name>
      <mal:email>mario.blaettermann@gmail.com</mal:email>
      <mal:years>2009-2013</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Jonas Rebmann</mal:name>
      <mal:email>jonas.rebmann@googlemail.com</mal:email>
      <mal:years>2010</mal:years>
    </mal:credit>
  
    <mal:credit xmlns:mal="http://projectmallard.org/1.0/" type="translator copyright">
      <mal:name>Christian Kirbach</mal:name>
      <mal:email>christian.kirbach@gmail.com</mal:email>
      <mal:years>2010, 2011, 2012, 2013, 2015</mal:years>
    </mal:credit>
  </info>

  <title>Automatisches Vervollständigen und Calltips</title>

<section>
<title>Automatisches Vervollständigen</title>
<p>Die automatische Vervollständigung schlägt automatisch Funktionen und andere Code-Symbole vor, nachdem Sie die ersten Zeichen eingetippt haben. Es wird nach einer Übereinstimmung der eingegebenen Zeichen mit den ersten Zeichen von bestehenden Symbolen gesucht. Daraufhin wird eine Auswahlliste eingeblendet, in der Sie einen Eintrag mit der <key>Eingabetaste</key> auswählen. Normalerweise geschieht dies automatisch, nachdem Sie den dritten Buchstaben eingegeben haben. Sie können es aber auch mittels des Menüeintrags <guiseq><gui>Bearbeiten</gui><gui>Automatische Vervollständigung</gui></guiseq> erzwingen.</p>
<note>
<p>Anjuta unterstützt automatische Vervollständigung für Code in C/C++, Vala, Javascript und Python. Bedenken Sie, dass automatische Vervollständigung nur dann funktioniert, wenn Anjuta die verwendeten Symbole kennt. Wenn Sie C/C++-Bibliotheken verwenden, die nicht mit <cmd>pkg-config</cmd> konfiguriert und/oder nicht den Projekteinstellungen hinzugefügt wurden, so kann Anjuta die Symbole nicht finden und die automatische Vervollständigung funktioniert vermutlich nicht.</p>
<p>Außerdem könnte die Syntax für den eingebauten Parser zu komplex sein, so dass nicht erkannt werden kann, welche Vervollständigung benötigt wird</p>
</note>
</section>

<section>
<title>Effektives Coding mit Hilfe von Calltips</title>

<p>Es ist normalerweise schwierig, die Signatur jeder Methode oder Funktion eines Projekts auswendig zu wissen. Der Editor zeigt automatisch ein kleine Mini-Hilfe mit der Signatur an, wenn Sie »(« nach einem Funktionsnamen eingeben.</p>

</section>

</page>
